Package Details: lastfm 2.1.36-2

Git Clone URL: https://aur.archlinux.org/lastfm.git (read-only)
Package Base: lastfm
Description: The official Last.fm desktop application suite
Upstream URL: http://www.last.fm/
Licenses: GPL3
Conflicts: lastfm-git, lastfm-mpd-cli, lastfm-msk, lastfm-msk-light
Provides: lastfm
Submitter: fzerorubigd
Maintainer: ValHue
Last Packager: ValHue
Votes: 24
Popularity: 0.000064
First Submitted: 2013-02-09 08:42
Last Updated: 2018-01-01 11:59

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

acrox999 commented on 2013-10-12 15:17

Any missing dependencies can just be added into the PKGBUILD. The maintainer need to update the PKGBUILD himself.

And no, they can't be merged. Git versions can stay where it is at.

acrox999 commented on 2013-10-12 15:14

Any missing dependencies can just be added into the PKGBUILD. The maintainer need to update the PKGBUILD himself.

You don't need to upload a new package as it's not necessary at all.

acrox999 commented on 2013-10-12 15:03

Also, you're only supposed to create a 'git' version of a package if there's really a git repo of it, and in this case, an official one. You're free to set up and publish your own, however, if you're planning to update the codes yourself.

That's why we don't have any package for lastfm-git. But if you really do plan on updating the source codes, it'd be great. This application is far from complete. It doesn't detect any of my music players (VLC, mainly).

acrox999 commented on 2013-10-12 14:59

Any missing dependencies can just be added into the PKGBUILD, as everything is already defined in the code itself. The maintainer need to update the PKGBUILD himself.

Forking the whole code isn't necessary.

ifschleife commented on 2013-10-12 12:55

It didn't work for me because lastfm needs pulseaudio to run. So this is missing as a dependency as well. I've made my own package now which uses lastfm's latest release from github: https://aur.archlinux.org/packages/lastfm-git/

All package files can be found here: https://github.com/ifschleife/lastfm-git

Maybe these two could be merged? Or is this supposed to stay at the version that is released via lastfm's website?

fzerorubigd commented on 2013-10-11 11:12

@acrox999 thank you.

Updated with new patch and desktop entry

acrox999 commented on 2013-10-11 10:59

Updated PKGBUILD, plus patch and also 'desktop shortcut.'

PKGBUILD: http://nopaste.info/2f097400a3.html
LAV_Source_fix.patch: http://nopaste.info/17dce1c6cb.html
lastfm-scrobbler.desktop: http://nopaste.info/30d12a63c1.html

Maintainer (fzerorubigd), please update your package.

acrox999 commented on 2013-10-11 10:17

Some fixes for this package.

PKGBUILD: http://nopaste.info/45c420e579.html
LAV_Source_fix.patch: http://nopaste.info/192fdb751c.html

Maintainer (@fzerorubigd), please update the package or orphan it if you wish to not to do so anymore.

ifschleife commented on 2013-10-09 09:49

Thank you. So ffmpeg is missing as a build dependency. It's also missing the qtwebkit dependency.
After installing both I was now able to build and install the package with dront78's patch. I can start the program, log in and everything but I can't hear any music. Any ideas?

And why is it installing all files into /opt ?

ifschleife commented on 2013-10-09 09:41

Thank you. So ffmpeg is missing as a build dependency. It's also missing the qtwebkit dependency.
After installing both I was now able to build and install the package with dront78's patch. But when I try to start it nothing happens. It's running but does not open a window.

And why is it installing all files into /opt ?